KoboTerminalNGX API DocsGet a free API key

Key info and usage

Your plan, requests used today, daily limit, per-minute limit and lifetime requests.

http
GET https://koboterminal.com/api/keys/info

Plan: Free and above (free key, no card).

Request

bash
curl "https://koboterminal.com/api/keys/info" \
  -H "X-API-Key: $KOBO_API_KEY"
python
import os, requests

r = requests.get(
    "https://koboterminal.com/api/keys/info",
    headers={"X-API-Key": os.environ["KOBO_API_KEY"]},
    timeout=30,
)
r.raise_for_status()
data = r.json()
javascript
const res = await fetch("https://koboterminal.com/api/keys/info", {
  headers: { "X-API-Key": process.env.KOBO_API_KEY },
});
if (!res.ok) throw new Error(`Kobo API ${res.status}`);
const data = await res.json();

Response

Illustrative example (values are examples, field names are exact):

json
{
  "id": 1234,
  "name": "My app",
  "email": "[email protected]",
  "tier": "free",
  "requests_today": 12,
  "requests_limit": 100,
  "rate_limit": 10,
  "total_requests": 3410,
  "last_request_at": "2026-11-18T13:19:02Z"
}

Use it from an AI assistant

This endpoint is available as the get_my_usage tool on the Kobo Terminal MCP server (https://koboterminal.com/mcp). See MCP server.

Errors

Standard errors apply: see Rate limits and errors.